﻿<!--File Name: Company.cshtml-->
<!--File Description: Creates the view for displaying a Company page, which gives information about an individual
    company.-->

@using CareerDayWCFWebService
@{
    Company company = ViewBag.company;
}

<div class="company-page">
    <div class="row page-header" style="color: white">
        <div class="col-sm-10" style="text-align: left; padding-bottom: 1%;">
            <!--Displays the company name-->
            <h1 class="company-name">@company.orgName</h1>
            <!--Displays the company website-->
            <p style="font-size: 20px; padding-left: 0 !important; ">Company Website: <a style="color: #D2492A" href="http://www.@ViewBag.url" target="_blank">www.@ViewBag.url</a></p>
            <div id="inDiggernet">
                <p style="padding: 0 !important">Does this company have jobs, interviews or info sessions posted in diggernet?: </p>
                @if (company.InDiggerNet)
                {
                    <p>Yes</p>
                }
                else
                {
                    <p>No</p>
                }
            </div>
            <p style="padding-left: 0 !important;">This company's representative contact information is available on the <a style="color: #D2492A" href="https://mines-csm.symplicity.com/students/index.php?signin_tab=0&signin_tab=0" target="_blank">DiggerNet</a> resource library or the hard copy Career Day guide.</p>
            <!--Button to add company to list of saved companies-->
            @if (ViewBag.saved && !ViewBag.delete)
            {
                <button class="save" name="Save" id="save" onclick="location='Company?id=@company.orgID&delete=true'" style="font-size: 14px">Unsave from your List of Companies</button>
            }
            else
            {
                <button class="save" name="Save" id="save" onclick="location='Company?id=@company.orgID&saved=true'" style="font-size: 14px">Save to your List of Companies</button>
            }
        </div>
        <!--Shows company booth-->
        <div class="col-sm-2" style="align-content: center; padding-top: 1%">
            <div style="width: 100%; text-align: center; ">
                <a class="booth-link" href="~/Home/Map?id=@company.orgID&boothNum=@company.orgBoothNo">
                    <div class="square">
                        <h5>Booth #</h5>
                        <h3 style="margin-top: -2%">@company.orgBoothNo</h3>
                    </div>
                </a>
            </div>
        </div>
    </div>
    <!--Displays the company discription-->
    <br />
    <div class="row">
        <div class="col-sm-12">
            <body>
                <b class="company-description">Brief Description</b><br />
                @company.orgDesc
            </body>
        </div>
    </div>


    <!--Build the table of who the company is looking for-->
    <div class="col-sm-12" style="width: 100%">
        <h2><strong>Who are they interested in?</strong></h2>
    </div>
    <div class="row">
        <div class="col-sm-12">
            <div id="table">
                <div style="overflow-x: auto">
                    <table style="width: 100%">
                        <!--Table headers-->
                        <tr bgcolor="grey">
                            <th class="table-header">Major</th>
                            @foreach (Level cn in ViewBag.levels)
                            {
                                <th class="table-header">@cn.LvlName</th>
                            }
                        </tr>

                        <!--Build a row for each major-->
                        @foreach (WantsToMeetWith major in ViewBag.wantsToMeetWith)
                        {
                            foreach (Major m in ViewBag.majors)
                            {
                                if (m.MajID.ToString() == major.majorID)
                                {
                                    <tr class="alternate-color" style="background-color: white">
                                        <th>@m.MajName</th>
                                        <!--Checks if companies is looking for each level and major-->
                                        @foreach (Level cn in ViewBag.levels)
                                        {
                                            if (major.levelIDs.Contains(cn.LvlID.ToString()))
                                            {
                                                <th>Yes</th>
                                            }
                                            else
                                            {
                                                <th></th>
                                            }
                                        }
                                    </tr>
                                }
                            }
                        }
                    </table>
                    <div>
                        <br />
                    </div>
                </div>
                <a href="~/Home/Companies" class="btn btn-default" style="margin-bottom: 2%;">Back to Companies Page</a>
            </div>
        </div>
    </div>
</div>
